
%ifnarch %{arm}
%global _with_crashreporter WITH_CRASHREPORTER:BOOL=ON
%endif

Name:    tomahawk
Version: 0.7.0
Release: 3%{?dist}
Summary: The Social Media Player

License: GPLv2+
URL:     http://tomahawk-player.org/
Source0: http://download.tomahawk-player.org/tomahawk-%{version}%{?pre}.tar.bz2

BuildRequires: boost-devel
BuildRequires: kdelibs4-devel
BuildRequires: liblastfm-devel >= 1.0
BuildRequires: pkgconfig(libattica) >= 0.4.0
BuildRequires: pkgconfig(libechonest) >= 2.0.3
BuildRequires: pkgconfig(libclucene-core) >= 2.3
BuildRequires: pkgconfig(libjreen) >= 1.1.1
BuildRequires: pkgconfig(phonon) >= 4.5.0
BuildRequires: pkgconfig(qca2)
BuildRequires: pkgconfig(QtDBus) pkgconfig(QtGui) pkgconfig(QtNetwork) pkgconfig(QtXmlPatterns)
BuildRequires: pkgconfig(QtWebKit)
BuildRequires: pkgconfig(QJson) >= 0.8.1
BuildRequires: pkgconfig(taglib)
BuildRequires: quazip-devel
BuildRequires: qtweetlib-devel >= 0.4

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%global libechonest_version %(pkg-config --modversion libechonest 2>/dev/null || echo 1.1.7)
Requires: libechonest%{?_isa} >= %{libechonest_version}
%global phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.5.0)
Requires: phonon%{?_isa} >= %{phonon_version}
Requires: qca-ossl%{?_isa}
Requires: qca-cyrus-sasl%{?_isa}


%description
Stop chasing your music across different machines, services and
websites. It's time to take the work out of "play". If the song you want
to listen to is in your local library, it just plays. If the song is on
a remote machine, it just plays. If the song is on the web, or available
from your subscription service, it just plays. By abstracting a piece
of content's metadata from its file location, users can easily share
playlists, listening history and more. It's sort of like Wonka Vision,
Tomahawk will reassemble it on the other side. OK, maybe that's not a
good analogy... but it's just as delicious.

%package libs
Summary: Runtime libraries for %{name}
## not strictly required, let's see if we can get away without it -- rex
#Requires: %{name} = %{version}-%{release}
%{?_qt4:Requires: qt4%{?_isa} >= %{_qt4_version}}
%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q -n tomahawk-%{version}%{?pre}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DBUILD_RELEASE:BOOL=ON \
  -DBUILD_WITH_QT4:BOOL=ON \
  -DCMAKE_BUILD_TYPE:STRING="Release" \
  %{?_with_crashreporter} \
  .. 
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#unpackaged files (fixme?)
rm -fv %{buildroot}%{_datadir}/icons/hicolor/scalable/tomahawk.svg
%if 0%{?internal_jreen}
rm -rfv %{buildroot}%{_includedir}/jreen/
rm -fv  %{buildroot}%{_libdir}/libjreen.a
%endif


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/tomahawk.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
fi

%files
%doc AUTHORS LICENSE.txt
%{_bindir}/tomahawk
%{_libdir}/libtomahawk_*.so
%if 0%{?_with_crashreporter:1}
%{_libexecdir}/tomahawk_crash_reporter
%endif
%{_datadir}/applications/tomahawk.desktop
%{_datadir}/icons/hicolor/*/*/*

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_libdir}/libtomahawklib.so.%{version}

%files devel
%{_includedir}/libtomahawk/
%{_libdir}/libtomahawklib.so
%{_libdir}/cmake/Tomahawk/


%changelog
* Wed May 22 2013 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-3
- %%build: -DCMAKE_BUILD_TYPE=Release

* Wed May 22 2013 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-2
- rebuild (libechonest-2.1.0)

* Fri May 10 2013 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-1
- tomahawk-0.7.0

* Tue Mar 26 2013 Rex Dieter <rdieter@fedoraproject.org> 0.6.1-1
- 0.6.1

* Mon Feb 18 2013 Rex Dieter <rdieter@fedoraproject.org> 0.6.0-3
- tomahawk is FTBFS on ARM (#912361)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 19 2013 Rex Dieter <rdieter@fedoraproject.org> 0.6.0-1
- 0.6.0 final

* Wed Jan 09 2013 Rex Dieter <rdieter@fedoraproject.org> 0.6.0-0.1.beta1
- 0.6.0beta1

* Sat Nov 24 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.5-3
- rebuild (qjson)

* Wed Sep 26 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.5-2
- Requires: qca-cyrus-sasl

* Thu Jul 26 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.5-1
- tomahawk-0.5.5

* Tue Jul 24 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.4-2
- rebuild

* Thu Jul 19 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.4-1
- tomahawk-0.5.4

* Sat Jul 14 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.2-2
- update scriptlet(s)

* Tue Jul 03 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.2-1
- tomahawk-0.5.2

* Wed Jun 20 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.2-2
- rebuild (attica)

* Mon Apr 23 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.2-1
- 0.4.2

* Wed Mar 07 2012 Magnus Tuominen <magnus.tuominen@gmail.com> 0.4.0-1
- 0.4.0
- no need for the tomahawk.protocol file any more

* Mon Jan 09 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-4
- update Summary (s/Music/Media/)

* Sun Jan 08 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-3
- make qca-ossl dep arch'd

* Fri Jan 06 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-2
- drop unused patch
- drop snapshotting comment

* Fri Jan 06 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-1
- 0.3.3

* Mon Nov 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- 0.3.0

* Thu Sep 01 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-1
- 0.2.3

* Wed Aug 17 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.1-2
- unbundle jreen, BR: jreen-devel
- BR: boost-devel qca2-devel
- Requires: qca-ossl

* Tue Aug 16 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.1-1
- 0.2.1

* Tue Jun 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-3.20110614
- 20110614 snapshot
- bundle jreen/qtweetlib (for now)

* Thu Jun 02 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- enable jreen, qtweeklib support
- add min runtime deps for qt,phonon,libechonest

* Wed Jun 01 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-1
- first try at 0.1.0

